### Method

# GLib Scanner peek_next_token

#### Declaration [src]

    GTokenType
    g_scanner_peek_next_token (
      GScanner* scanner
    )

#### Description [src]

Parses the next token, without removing it from the input stream. The token data is placed in the `next_token`, `next_value`, `next_line`, and `next_position` fields of the `GScanner` structure.

Note that, while the token is not removed from the input stream (i.e. the next call to `g_scanner_get_next_token()` will return the same token), it will not be reevaluated. This can lead to surprising results when changing scope or the scanner configuration after peeking the next token. Getting the next token after switching the scope or configuration will return whatever was peeked before, regardless of any symbols that may have been added or removed in the new scope.

#### Return value

Type: `GTokenType`

The type of the token.